Get GUID of curve created with _InterpCrv


#1

Hello,

I am using python as scripting language.

I need to perform a JoinCurve between a line created with rs.addLine and a curve created with command("_interpCrv")

The thing is I need both curve’s GUID.

How do I get the GUID from the last curve?

As an alternative, is there a way of creating a interpolated curve without the use of command("_interpCrv")?

Thank you so much

Ricardo


#2

If you are using rs.Command, you can get the result of the command with rs.LastCreatedObjects(). Those should be the GUID’s of the objects created by the command (if any).

There is also rs.AddInterpCurve which will add an interpolated curve to the document using a list of points as well as the usual options as optional arguments.

HTH, --Mitch


#3

Yep,

that works just fine.

Thank you so much for your answer.

Ricardo